﻿using CAGContrib.MVPShell;
using Library.Module.Demo1;
using Microsoft.Practices.Composite.Modularity;
using UnityContrib.Interfaces;

namespace Library.Demo.WPF
{
	/// <summary>
	/// Main Window Presenter 
	/// </summary>
	public class MainWindowPresenter : ShellPresenter
	{


		/// <summary>
		/// Intended to be overridden
		/// </summary>
		/// <returns></returns>
		public override IModuleCatalog OnGetModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();
			catalog.AddModule(typeof(ModuleDemo1));
			return catalog;
		}



		/// <summary>
		/// Register interfaces and instances as applicable
		/// </summary>
		/// <value>The initialize container.</value>
		public override void OnInitializeContainer()
		{

		}

	


	}
}
