﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GWN.Contrib.CAG.MVPView;

namespace GWN.Contrib.CAG.Extensions
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// View Interface Extensions
    /// </summary>
    public static class IViewViewExtension
    {
        /// <summary>
        /// Finds the name.
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="control">The control.</param>
        /// <param name="name">The name.</param>
        /// <returns></returns>
        public static T FindName<T>(this IMVPView control, string name)
        {
            object value = control.FindName(name);
            if (value == null)
                return default(T);

            return (T)value;
        }
    }

}
