﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GWN.Contrib.CAG.MVPView
{
	/// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
	/// MPV View Model
	/// </summary>
	public interface IMVPViewModel
	{
		/// <summary>
		/// Gets or sets the presenter.
		/// </summary>
		/// <value>The presenter.</value>
		IMVPPresenter Presenter { get; set; }

		/// <summary>
		/// Occurs when [on all property changed events].
		/// </summary>
		event AllPropertyChangedDelegate OnAllPropertyChangedEvents;
	}
}
