﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.UnityExtensions;
using Microsoft.Practices.Composite.Logging;
using GWN.Contrib.Unity.Logger;
using GWN.Contrib.Unity.Configuration;

namespace GWN.Contrib.CAG.Mocks
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// Mock Unity Container
    /// </summary>
    public class MockUnityContainer : UnityContainer
    {
        public MockUnityContainer()
        {
            this.RegisterType<ILoggerFacade, DefaultLogger>();

            DefaultSysConfig.Container = this;
        }
    }
}
