﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;

namespace GWN.Contrib.Unity.Strategy
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// MEF Strategy Data
    /// </summary>
	public interface IMEFStrategyData
	{
		/// <summary>
		/// Gets or sets the module list.  Set by
		/// the AppBootstrapper - it will hold any
		/// modules that MEF instantiated / processed
		/// </summary>
		/// <value>The module list.</value>
		List<IModule> ModuleList { get; set; }
	}
}
