﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using CAGContrib.Base;
using Microsoft.Practices.Composite.Modularity;
using Library.Module.Demo1;

namespace Library.Demo.Silverlight
{
	public class AppBootstrapper : CAGBootStrapper
	{
		public override DependencyObject OnCreateShell()
		{
			return Container.Resolve<MainPage>();
		}

		protected override IModuleCatalog GetModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();
			catalog.AddModule(typeof(ModuleDemo1));
			return catalog;
		}
	}
}
