﻿using System.Windows;
using GWN.Contrib.CAG.Base;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Library.Module.Demo1;
using Library.Module.Main;
using Library.Module.Demo2;


namespace Library.Demo
{
	public class AppBootstrapper : CAGBootStrapper
	{
		public override DependencyObject OnCreateShell()
		{
			return Container.Resolve<MainWindow>();
		}

		protected override IModuleCatalog GetModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();
			catalog.AddModule(typeof(ModuleMain));
			catalog.AddModule(typeof(ModuleDemo1));
			catalog.AddModule(typeof(ModuleDemo2));
			return catalog;
		}
	}
}
