﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Security.Principal;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Html;
using System.Web.Routing;
using GWN.Contrib.MVC2.Base;
using Microsoft.Practices.Unity;
using GWN.Contrib.Unity.Interfaces;
using Microsoft.Practices.Composite.Logging;


namespace Library.Demo.Controllers
{
	[HandleError]
	public class HomeController : MVCControllerBase
	{



		/// <summary>
		/// Indexes this instance.
		/// </summary>
		/// <returns></returns>
		public ActionResult Index()
		{
			ViewData["Message"] = "Welcome to ASP.NET MVC!";

			return View();
		}

		/// <summary>
		/// Abouts this instance.
		/// </summary>
		/// <returns></returns>
		public ActionResult About()
		{
			return View();
		}

		/// <summary>
		/// Silverlights this instance.
		/// </summary>
		/// <returns></returns>
		public ActionResult Silverlight()
		{
			var actionResult = View();
			try
			{
				//TODO: Do something here
				Logger.Log("HomeController.Silverlight()", Category.Debug, Priority.None);

				return actionResult;
			}
			catch (Exception ex)
			{
				Error.SetError(ex);
			}
			return actionResult;
		}

		/// <summary>
		/// Called prior to controller release by the
		/// CustomControllerFactory
		/// </summary>
		public override void OnPreControllerRelease()
		{
			base.OnPreControllerRelease();
		}


	
	}
}
